INTERACT FORUM

Please login or register.

Login with username, password and session length
Advanced search  
Pages: [1]   Go Down

Author Topic: Help required to install MC 31 with installJRMC utility [solved]  (Read 472 times)

stevemac

  • Regular Member
  • Galactic Citizen
  • ****
  • Posts: 300

Hi,

Suspect I'm missing something simple.

Current MC = 30.0.96 running on Debian 11 (bullseye) VM

Attempting to use the installJRMC utility to upgrade to V31 and failing with

E: Unable to locate package mediacenter31
Error: Failed to install mediacenter31=31.0.19. Attempting to continue
Error: JRiver Media Center installation from repo failed

Following from debug

Code: [Select]
jriver@deb64esx1:~$ ./installJRMC --install repo --service jriver-mediacenter --service-type user --mcversion 31.0.19 --debug
First Debugging on!
Debug: Running: main
Debug: Running: getOS
Debug: Detected host platform: debian 11
Debug: Using host platform: debian 11
Debug: Running: parseInput
Debugging on
installJRMC version: 1.0b16
Debug: Running: getVersion
Using MC version 31.0.19 determined by user input
Debug: Running: installMCFromRepo
Debug: Running: addRepo
Adding JRiver repository to package manager
Debug: Running: installPackage wget
-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.4.12 (GNU/Linux)
{PGP data removed}
-----END PGP PUBLIC KEY BLOCK-----

Debug: pkg_update
Hit:1 http://security.debian.org/debian-security bullseye-security InRelease
Hit:2 http://debian.mirror.serversaustralia.com.au/debian bullseye InRelease
Hit:3 http://debian.mirror.serversaustralia.com.au/debian bullseye-updates InRelease
Hit:4 http://dist.jriver.com/latest/mediacenter buster InRelease
Reading package lists... Done
Installing JRiver Media Center using package manager
Debug: installPackage --skip-check-installed --nogpgcheck mediacenter31=31.0.19
Debug: Running: installPackage --skip-check-installed --nogpgcheck mediacenter31=31.0.19
Debug: pkg_install  mediacenter31=31.0.19
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
E: Unable to locate package mediacenter31
Error: Failed to install mediacenter31=31.0.19. Attempting to continue
Error: JRiver Media Center installation from repo failed
jriver@deb64esx1:~$

Other info
Code: [Select]
jriver@deb64esx1:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Debian
Description: Debian GNU/Linux 11 (bullseye)
Release: 11
Codename: bullseye
jriver@deb64esx1:~$

Also updated sources.list with the following
Code: [Select]
sudo wget http://dist.jriver.com/latest/mediacenter/mediacenter31.list -O /etc/apt/sources.list.d/mediacenter31.list

any recommendations on how to proceed?

thx,

Steve
Logged

JimH

  • Administrator
  • Citizen of the Universe
  • *****
  • Posts: 71462
  • Where did I put my teeth?
Re: Help required to install MC 31 with installJRMC utility
« Reply #1 on: June 07, 2023, 05:43:55 pm »

The script was updated to use MC31.  Try reading the Options section.

https://yabb.jriver.com/interact/index.php/topic,135999.0.html
Logged

BryanC

  • MC Beta Team
  • Citizen of the Universe
  • *****
  • Posts: 2556
Re: Help required to install MC 31 with installJRMC utility
« Reply #2 on: June 07, 2023, 09:15:19 pm »

Yes the Debian base has changed, if you use the script on this (MC31) board it will replace your existing repository file with the correct version that points at Bullseye. Also there's no need to specify the mcversion (unless you want), by default it will install the latest available version.
Logged

stevemac

  • Regular Member
  • Galactic Citizen
  • ****
  • Posts: 300
Re: Help required to install MC 31 with installJRMC utility
« Reply #3 on: June 08, 2023, 03:32:56 am »

thanks for the updates.  I had updated installJRMC before attempting to upgrade to V31.   I'll recheck and reattempt

Steve
Logged

stevemac

  • Regular Member
  • Galactic Citizen
  • ****
  • Posts: 300
Re: Help required to install MC 31 with installJRMC utility [solved]
« Reply #4 on: June 08, 2023, 07:14:17 am »

Fixed

must have made a mistake when updating installJRMC.  Re-did it tonight and then executed it.  Now on 31.0.19

thanks for the help,

Steve
Logged
Pages: [1]   Go Up